Subject: [PMOL] SIP End-to-End Performance Metrics
From: Daryl Malas <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Dec 2007 15:42:06 -0700
List-Id: Performance Metrics at Other Layers <pmol.ietf.org>

At the conference, I introduced the SIP End-to-End Performance Metrics
draft (draft-malas-performance-metrics-08) to the PMOL working group.
Although this draft is referenced in the PMOL WG charter, I wanted to
ask everyone to review the draft and provide feedback of whether or not
you feel the current version is ready for the WG to accept as a working
group item.  A couple of questions came up, which I think should be
answered regarding this consideration:

Is the SIPPING WG content with the current set of metrics?

Are there too many?

Do these metrics capture the relevant concerns of performance regarding
the SIP protocol?

Are these metrics depicted accurately from a SIP protocol perspective?

In addition to these questions, I have a couple of tasks from the PMOL
group to include in the next revision.

Here is a link to the draft:
http://www.ietf.org/internet-drafts/draft-malas-performance-metrics-08.txt

Thanks...

Daryl

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol

Subject: [PMOL] SIP Perf Metrics Draft -08
From: Daryl Malas <[email-masked]>
To: [email-masked]
Date: Thu, 06 Dec 2007 13:36:12 -0700

I apologize, but I realized the SIP Performance Metrics draft had become
expired while we determined the appropriate home (now PMOL) for it.  I
submitted a new revision this morning for reference during this
afternoon's session.

http://www.ietf.org/internet-drafts/draft-malas-performance-metrics-08.txt

--Daryl

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol

Date: Fri, 07 Dec 2007 04:35:50 +0900 (JST)
To: [email-masked]
Subject: Re: [PMOL] FW: draft-morton-perf-metrics-framework-01 
From: KIKUCHI Yutaka <[email-masked]>
Organization: Kochi Univ. of Tech.
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]

Alan, and folks,

Here is a brief report of our experience of the framework I-D.
Sorry for the message just before the PMOL meeting.

Totally, the framework was useful to check our draft.

I want that some points will be more strictly described
because results of the test might includes arbitrary evaluations.
For example, in "the tests of the usefulness" of the section 3.2,
we could say both YES and NO in some situations.
Moreover we could avoid discussions about nerve cases.

In the section 3.6 "Qualifying Metrics",
we need concrete criteria of some qualifications to show
unambiguity, repeatability and implementability.

The section 3.7 "Reporting Models" felt strange to me,
because there are some typical ways, i.e. SNMP and syslog,
for reporting in OAM most cases. It seems a rare case
to define a new reporting model on metrics definition.

I think it may be useful for metrics developers to mention
about "security considerations" and "IANA considerations"
even it always should be written in all the proposals.

Refer to our I-D draft-kikuchi-passive-measure-01.txt
for an evaluation example. Note that this evaluation
was based on the -00 version of the framework draft.

We hope the report helps.

-- Yu.

>  
> Apologies - we forgot to forward this to the PMOL list!!
> 
> Regards
> 
> Alan
> 
> 
> 
> 
> A new version of I-D, draft-morton-perf-metrics-framework-01.txt has been
> successfuly submitted by Alan Clark and posted to the IETF repository.
> 
> Filename:	       draft-morton-perf-metrics-framework
> Revision:	       01
> Title:		 Framework for Performance Metric Development
> Creation_date:	 2007-11-18
> WG ID:		 Independent Submission
> Number_of_pages:   11
> 
> Abstract:
> This memo describes a framework and guidelines for the development of
> performance metrics that are beyond the scope of existing working group
> charters in the IETF.  In this version, the memo refers to a Performance
> Metrics Entity, or PM Entity, which may in future be a working group or
> directorate or a combination of these two.Requirements Language
> 
> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
> document are to be interpreted as described in RFC 2119 [RFC2119].
>  
> 
> http://www.ietf.org/internet-drafts/draft-morton-perf-metrics-framework-01.t
> xt
> 
> The IETF Secretariat.
> 
> 
> 
> 
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pmol
> 

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol

From: "Alan Clark" <[email-masked]>
To: <[email-masked]>
Date: Thu, 6 Dec 2007 12:55:54 -0500
Subject: [PMOL] FW: draft-morton-perf-metrics-framework-01 

Apologies - we forgot to forward this to the PMOL list!!

Regards

Alan

A new version of I-D, draft-morton-perf-metrics-framework-01.txt has been
successfuly submitted by Alan Clark and posted to the IETF repository.

Filename:	       draft-morton-perf-metrics-framework
Revision:	       01
Title:		 Framework for Performance Metric Development
Creation_date:	 2007-11-18
WG ID:		 Independent Submission
Number_of_pages:   11

Abstract:
This memo describes a framework and guidelines for the development of
performance metrics that are beyond the scope of existing working group
charters in the IETF.  In this version, the memo refers to a Performance
Metrics Entity, or PM Entity, which may in future be a working group or
directorate or a combination of these two.Requirements Language

The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
"SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
document are to be interpreted as described in RFC 2119 [RFC2119].

http://www.ietf.org/internet-drafts/draft-morton-perf-metrics-framework-01.t
xt

The IETF Secretariat.

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol

Date: Thu, 06 Dec 2007 01:42:39 -0500
To: [email-masked]
From: Al Morton <[email-masked]>
Subject: [PMOL] Remote Participation URLs

For those who wish to participate remotely, we have:

Start time:  13:00 Vancouver Canada time (16:00 EST)

Jabber Instructions
http://www.ietf.org/meetings/text_conf.html
Jabber Room
[email-masked]

Slides not all posted yet (scroll down to pmol in OPS area)
https://datatracker.ietf.org/meeting/70/materials.html

Unicast Audio
http://videolab.uoregon.edu/events/ietf/
pmol is on Channel 4 in Salon F

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol